# usadelndsoc

Solver for Usadel equations in 2D with SOC gauge fields.

Uses a discretization with local gauge invariance.

## Requirements

- C++17 compatible compiler
- C++ libraries: [Eigen](https://eigen.tuxfamily.org/), [CppAD](https://coin-or.github.io/CppAD/)
- Python 3

## Compiling

Assuming prerequisites are installed:

`python3 -m pip install --user .`

See also https://mesonbuild.com/Quick-guide.html#compiling-a-meson-project
